#
#
# qmake configuration for win32-g++
#
# Written for MinGW
#

MAKEFILE_GENERATOR	= MINGW
TEMPLATE		= app
CONFIG			+= qt warn_on release link_prl
DEFINES			+= UNICODE

exists( $(TQTDIR)\.qtwinconfig ) {
	include( $(TQTDIR)\.qtwinconfig )
}

TQMAKE_CC		= gcc
TQMAKE_LEX		= flex
TQMAKE_LEXFLAGS		= 
TQMAKE_YACC		= byacc
TQMAKE_YACCFLAGS		= -d
TQMAKE_CFLAGS		=
TQMAKE_CFLAGS_DEPS	= -M
TQMAKE_CFLAGS_WARN_ON	= -Wall 
TQMAKE_CFLAGS_WARN_OFF	= -w
TQMAKE_CFLAGS_RELEASE	= -O2
TQMAKE_CFLAGS_DEBUG	= -g
TQMAKE_CFLAGS_YACC	= -Wno-unused -Wno-parentheses
TQMAKE_CFLAGS_THREAD	= -mthreads
TQMAKE_CFLAGS_RTTI_ON	= -frtti
TQMAKE_CFLAGS_RTTI_OFF	= -fno-rtti
TQMAKE_CFLAGS_EXCEPTIONS_ON = -fexceptions
TQMAKE_CFLAGS_EXCEPTIONS_OFF = -fno-exceptions

TQMAKE_CXX		= g++
TQMAKE_CXXFLAGS		= $$TQMAKE_CFLAGS
TQMAKE_CXXFLAGS_DEPS	= $$TQMAKE_CFLAGS_DEPS
TQMAKE_CXXFLAGS_WARN_ON	= $$TQMAKE_CFLAGS_WARN_ON
TQMAKE_CXXFLAGS_WARN_OFF	= $$TQMAKE_CFLAGS_WARN_OFF
TQMAKE_CXXFLAGS_RELEASE	= $$TQMAKE_CFLAGS_RELEASE
TQMAKE_CXXFLAGS_DEBUG	= $$TQMAKE_CFLAGS_DEBUG
TQMAKE_CXXFLAGS_YACC	= $$TQMAKE_CFLAGS_YACC
TQMAKE_CXXFLAGS_THREAD	= $$TQMAKE_CFLAGS_THREAD
TQMAKE_CXXFLAGS_RTTI_ON	= $$TQMAKE_CFLAGS_RTTI_ON
TQMAKE_CXXFLAGS_RTTI_OFF	= $$TQMAKE_CFLAGS_RTTI_OFF
TQMAKE_CXXFLAGS_EXCEPTIONS_ON = $$TQMAKE_CFLAGS_EXCEPTIONS_ON
TQMAKE_CXXFLAGS_EXCEPTIONS_OFF = $$TQMAKE_CFLAGS_EXCEPTIONS_OFF

TQMAKE_INCDIR		=
TQMAKE_INCDIR_QT		= $(TQTDIR)\include
TQMAKE_LIBDIR_QT		= $(TQTDIR)\lib

TQMAKE_RUN_CC		= $(CC) -c $(CFLAGS) $(INCPATH) -o $obj $src
TQMAKE_RUN_CC_IMP	= $(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<
TQMAKE_RUN_CXX		= $(CXX) -c $(CXXFLAGS) $(INCPATH) -o $obj $src
TQMAKE_RUN_CXX_IMP	= $(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

TQMAKE_LINK		= g++
TQMAKE_LFLAGS		= -Wl,-enable-stdcall-fixup -Wl,-enable-auto-import -Wl,-enable-runtime-pseudo-reloc
TQMAKE_LFLAGS_RELEASE	= -Wl,-s
TQMAKE_LFLAGS_DEBUG	=
TQMAKE_LFLAGS_THREAD	= -mthreads
TQMAKE_LFLAGS_CONSOLE	= -Wl,-subsystem,console
TQMAKE_LFLAGS_WINDOWS	= -Wl,-subsystem,windows -e __Z19TQtWinMainCRTStartupv
TQMAKE_LFLAGS_CONSOLE_DLL= -Wl,-subsystem,console -shared -Wl,--export-all-symbols
TQMAKE_LFLAGS_WINDOWS_DLL= -Wl,-subsystem,windows -shared -Wl,--export-all-symbols
TQMAKE_LINK_OBJECT_MAX	= 10
TQMAKE_LINK_OBJECT_SCRIPT= object_ld_script
TQMAKE_LINK_OBJTQMOC_SCRIPT= objtqmoc_ld_script

TQMAKE_LIBS		=
TQMAKE_LIBS_CONSOLE	=
TQMAKE_LIBS_WINDOWS	= -lkernel32 -luser32 -lgdi32 -lcomdlg32 -ladvapi32 -lshell32 -lole32 -loleaut32 -luuid -limm32 -lwinmm -lwsock32 -lwinspool
TQMAKE_LIBS_QT		= -lqt
TQMAKE_LIBS_TQT_THREAD	= -lqt-mt
TQMAKE_LIBS_TQT_ENTRY	= -lqtmain

TQMAKE_LIBS_OPENGL	= -lopengl32 -lglu32

TQMAKE_TQMOC		= $(TQTDIR)\bin\tqmoc.exe
TQMAKE_UIC		= $(TQTDIR)\bin\uic.exe
TQMAKE_IDC		= $(TQTDIR)\bin\idc.exe

TQMAKE_IDL		= midl
TQMAKE_LIB		= ar -ru
TQMAKE_RC		= windres

TQMAKE_ZIP		= zip -r -9

TQMAKE_COPY		= copy
TQMAKE_MOVE		= move
TQMAKE_DEL_FILE		= del
TQMAKE_DEL_DIR		= rmdir
TQMAKE_STRIP		= strip
TQMAKE_STRIPFLAGS_LIB 	+= --strip-unneeded
TQMAKE_CHK_DIR_EXISTS	= if not exist
TQMAKE_MKDIR		= mkdir
